package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserRoleDetail] 查询条件对象
 */
@Data
public class UserRoleDetailSearchContext extends SearchContext {

	   public String n_userroledetailname_like;//[用户角色明细名称]
       public void setN_userroledetailname_like(String n_userroledetailname_like) {
            this.n_userroledetailname_like=n_userroledetailname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledetailname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userroledetailname_like);
            this.getCondition().add(searchField);
       }
	   public String n_userobjectname_eq;//[用户对象]
       public void setN_userobjectname_eq(String n_userobjectname_eq) {
            this.n_userobjectname_eq=n_userobjectname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userobjectname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userobjectname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_userobjectname_like;//[用户对象]
       public void setN_userobjectname_like(String n_userobjectname_like) {
            this.n_userobjectname_like=n_userobjectname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userobjectname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userobjectname_like);
            this.getCondition().add(searchField);
       }
	   public String n_userrolename_eq;//[角色名称]
       public void setN_userrolename_eq(String n_userrolename_eq) {
            this.n_userrolename_eq=n_userrolename_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userrolename");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userrolename_eq);
            this.getCondition().add(searchField);
       }
	   public String n_userrolename_like;//[角色名称]
       public void setN_userrolename_like(String n_userrolename_like) {
            this.n_userrolename_like=n_userrolename_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userrolename");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userrolename_like);
            this.getCondition().add(searchField);
       }
	   public String n_userobjectid_eq;//[用户对象]
       public void setN_userobjectid_eq(String n_userobjectid_eq) {
            this.n_userobjectid_eq=n_userobjectid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userobjectid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userobjectid_eq);
            this.getCondition().add(searchField);
       }
	   public String n_userroleid_eq;//[用户角色标识]
       public void setN_userroleid_eq(String n_userroleid_eq) {
            this.n_userroleid_eq=n_userroleid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroleid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userroleid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter userroledetailname=new SearchFieldFilter();
           userroledetailname.setParam("userroledetailname");
           userroledetailname.setCondition(SearchFieldType.LIKE);
           userroledetailname.setValue(strQuery);
           searchGroupFilter.getCondition().add(userroledetailname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
